Bug 781751

Summary: [Boost 1.48.0] MinGW-related files are missing for Boost.Locale
Product: [Fedora] Fedora Reporter: Denis Arnaud <denis.arnaud_fedora>
Component: boostAssignee: Denis Arnaud <denis.arnaud_fedora>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 19CC: denis.arnaud_fedora, pertusus, pmachata, t.sailer
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-13 13:55:28 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 754865    

Description Denis Arnaud 2012-01-14 15:31:21 EST
Description of problem:
MinGW-Boost does not cross-compile because some files are missing for the Boost.Locale component.

Version-Release number of selected component (if applicable):
boost-1.48.0-6 on Fedora Rawhide

How reproducible:
Always

Steps to Reproduce:
1. Cross-compile Boost on MinGW
2.
3.
  
Actual results:
The compilation fails.

Expected results:
The compilation should be successful.

Additional info:
The bug has been reported by Thomas Sailer. Thomas has then submitted a patch, which has been integrated in the (upstream) CMake-ified Boost-1.48.0 source tree ().
Comment 2 Petr Machata 2012-02-06 17:27:29 EST
Is this actually relevant for Fedora?
Comment 3 Denis Arnaud 2012-02-07 05:00:35 EST
(In reply to comment #2)
> Is this actually relevant for Fedora?

My understanding was that it was relevant to Fedora.

Thomas Sailer indeed originally raised that issue, and apparently it is not fixed yet.
Thomas proposed to add explicit dependencies in the CMake files:
==============================
--- ./libs/timer/src/CMakeLists.txt.orig        2012-01-14 19:54:13.284819760 +0100
+++ ./libs/timer/src/CMakeLists.txt     2012-01-14 19:08:41.078415730 +0100
@@ -11,4 +11,5 @@

  SHARED_COMPILE_FLAGS "-DBOOST_TIMER_DYN_LINK=1"
  STATIC_COMPILE_FLAGS "-DBOOST_TIMER_STATIC_LINK=1"
+  DEPENDS boost_system boost_chrono
 )
--- ./libs/chrono/src/CMakeLists.txt.orig       2012-01-14 19:06:46.825514697 +0100
+++ ./libs/chrono/src/CMakeLists.txt    2012-01-14 19:07:00.369740065 +0100
@@ -12,4 +12,5 @@

  SHARED_COMPILE_FLAGS "-DBOOST_CHRONO_DYN_LINK=1"
  STATIC_COMPILE_FLAGS "-DBOOST_CHRONO_STATIC_LINK=1"
+  DEPENDS boost_system
 )
==============================

However, the module.cmake files already play that role. So, there must be a glitch related to MinGW specificity. I have not had time to have a look the cross-compilation chain, and to dig into the CMake files in order to spot where the issue was coming from.
Comment 4 Fedora End Of Life 2013-04-03 15:51:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora End Of Life 2015-01-09 16:55:25 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.